petsc-3.7.1 2016-05-15
Report Typos and Errors

# VecCUSPRestoreCUDAArrayWrite

Restore a device vector previously acquired with VecCUSPGetCUDAArrayWrite().

### Synopsis

    PETSC_EXTERN PetscErrorCode VecCUSPRestoreCUDAArrayWrite(Vec v, PetscScalar **a)

Data on the host will be marked as out of date. Subsequent access of Many brthe data on the host side e.g. with VecGetArray() will incur a device Many brto host data transfer. Many br

### Input Parameter

| v | - the vector Many br

| a | - the CUDA device pointer. This pointer is invalid after Many brVecCUSPRestoreCUDAArrayWrite() returns. Many br

### Fortran note

This function is not currently available from Fortran. Many br

Many br

### See Also

VecCUSPGetCUDAArrayWrite(), VecCUSPGetCUDAArrayWrite(), VecCUSPGetArrayReadWrite(), VecCUSPGetArrayRead(), VecCUSPGetArrayWrite(), VecGetArray(), VecRestoreArray(), VecGetArrayRead()

Level:advanced
Location:src/vec/vec/impls/seq/seqcusp/veccusp2.cu
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages